<?php 
/*
**************************************************************************

Plugin Name:  Bootstrap Youtube Code
Plugin URI:   http://webowiec.net/blog/bootstrap-youtube-code-wordpress-bb-code-youtube-for-bootstrap/
Description:  Zamienia wszystkie kody iframe i embed na responsywna wersje Bootstrap, dodatkowo umozliwia wstawienie playera youtube przez BBcode [yt]https://www.youtube.com/watch?v=w8y7uCcxwKw[/yt]
Version:      1.0
Author:       Webowiec.net
Author URI:   http://webowiec.net

**************************************************************************/

class Yt_code {

	// Plugin initialization
	function Yt_code() {
		// This version only supports WP 2.5+ (learn to upgrade please!)
		if ( !function_exists('add_shortcode') ) return;

		// Register the shortcodes
		add_shortcode( 'yt' , array(&$this, 'shortcode_yt') );
	}


	// No-name attribute fixing
	function attributefix( $atts = array() ) {
		if ( empty($atts[0]) ) return $atts;

		if ( 0 !== preg_match( '#=("|\')(.*?)("|\')#', $atts[0], $match ) )
			$atts[0] = $match[2];

		return $atts;
	}

function get_yt_code($url, $atts){

$url = trim($url);
$urlT = explode('=', $url);
if (count($urlT)>0)
$ytId = $urlT[count($urlT)-1];
else
$ytId = $url;

	return '<div class="embed-responsive embed-responsive-16by9">
<iframe class="embed-responsive-item" width="560" height="315" src="https://www.youtube-nocookie.com/embed/'.$ytId.'" frameborder="0" allowfullscreen></iframe></div>';
}


	// Bold shortcode
	function shortcode_yt( $atts = array(), $content = NULL ) {
		if ( NULL === $content ) return '';

		return $this->get_yt_code( do_shortcode( $content ), $atts );
	}
}

// Start this plugin once all other plugins are fully loaded
add_action( 'plugins_loaded', create_function( '', 'global $Yt_code; $Yt_code = new Yt_code();' ) );

function the_content_youtube_bs($html){

$html = str_replace('<iframe','<div class="embed-responsive embed-responsive-16by9"><iframe class="embed-responsive-item"', $html);
$html = str_replace('/iframe>','/iframe></div>', $html);

$html = str_replace('<object','<div class="embed-responsive embed-responsive-16by9"><object class="embed-responsive-item"', $html);
$html = str_replace('/object>','/object></div>', $html);

$html = str_replace('<embed','<embed class="embed-responsive-item"', $html);

 return $html;
}
add_filter( 'the_content','the_content_youtube_bs');

?>
